#!/bin/bash

if [[ "$UID" != 0 ]]; then
    echo "USER NOT ROOT"
    sudo $0
    exit
else
    echo "USER IS ROOT"
fi

PWD=$(dirname $0)

THEME_PATH="/usr/share/sddm/themes"

if [[ ! -d "$THEME_PATH" ]];then
    mkdir -p "$THEME_PATH"
fi

THEME_NAME="Melawy-Lera-Sugar"

rm -rf $THEME_PATH/$THEME_NAME

cp -vrf --remove-destination --no-dereference --preserve=links "$PWD/$THEME_NAME" "$THEME_PATH/"
